# Changelog

## 2025-02-03 - 0.1.0 - feat(providers)
Add vision and document processing capabilities to providers

- OpenAI and Ollama providers now support vision tasks using GPT-4 Vision and Llava models respectively.
- Document processing has been implemented for OpenAI and Ollama providers, converting PDFs to images for analysis.
- Introduced abstract methods for vision and document processing in the MultiModalModel class.
- Updated the readme file with examples for vision and document processing.

## 2025-02-03 - 0.0.19 - fix(core)
Enhanced chat streaming and error handling across providers

- Refactored chatStream method to properly handle input streams and processes in Perplexity, OpenAI, Ollama, and Anthropic providers.
- Improved error handling and message parsing in chatStream implementations.
- Defined distinct interfaces for chat options, messages, and responses.
- Adjusted the test logic in test/test.ts for the new classification response requirement.

## 2024-09-19 - 0.0.18 - fix(dependencies)
Update dependencies to the latest versions.

- Updated @git.zone/tsbuild from ^2.1.76 to ^2.1.84
- Updated @git.zone/tsrun from ^1.2.46 to ^1.2.49
- Updated @push.rocks/tapbundle from ^5.0.23 to ^5.3.0
- Updated @types/node from ^20.12.12 to ^22.5.5
- Updated @anthropic-ai/sdk from ^0.21.0 to ^0.27.3
- Updated @push.rocks/smartfile from ^11.0.14 to ^11.0.21
- Updated @push.rocks/smartpromise from ^4.0.3 to ^4.0.4
- Updated @push.rocks/webstream from ^1.0.8 to ^1.0.10
- Updated openai from ^4.47.1 to ^4.62.1

## 2024-05-29 - 0.0.17 - Documentation
Updated project description.

- Improved project description for clarity and details.

## 2024-05-17 - 0.0.16 to 0.0.15 - Core
Fixes and updates.

- Various core updates and fixes for stability improvements.

## 2024-04-29 - 0.0.14 to 0.0.13 - Core
Fixes and updates.

- Multiple core updates and fixes for enhanced functionality.

## 2024-04-29 - 0.0.12 - Core
Fixes and updates.

- Core update and bug fixes.

## 2024-04-29 - 0.0.11 - Provider
Fix integration for anthropic provider.

- Correction in the integration process with anthropic provider for better compatibility.

## 2024-04-27 - 0.0.10 to 0.0.9 - Core
Fixes and updates.

- Updates and fixes to core components.
- Updated tsconfig for improved TypeScript configuration.

## 2024-04-01 - 0.0.8 to 0.0.7 - Core and npmextra
Core updates and npmextra configuration.

- Core fixes and updates.
- Updates to npmextra.json for githost configuration.

## 2024-03-31 - 0.0.6 to 0.0.2 - Core
Initial core updates and fixes.

- Multiple updates and fixes to core following initial versions.


This summarizes the relevant updates and changes based on the provided commit messages. The changelog excludes commits that are version tags without meaningful content or repeated entries.